NX Open C++ Reference Guide
|
Represents a Bead feature builder. More...
Public Types | |
enum | CrossSectionTypeOptions { CrossSectionTypeOptionsCircular, CrossSectionTypeOptionsUshaped, CrossSectionTypeOptionsVshaped } |
This enum represents the cross section type options for the Bead. More... | |
enum | EndTypeOptions { EndTypeOptionsPunched, EndTypeOptionsLanced, EndTypeOptionsFormed, EndTypeOptionsTapered } |
This enum represents the end type options for the Bead. More... | |
enum | HeightSideOptions { HeightSideOptionsSectionNormalSide, HeightSideOptionsSectionReverseNormalSide } |
This enum represents the depth direction for the Bead. More... | |
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the angle of the bead. | |
NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptions | CrossSectionType () |
Returns the bead profile type . | |
NXOpen::Expression * | DieRadius () |
Returns the bead die radius. | |
NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptions | EndType () |
Returns the bead end type . | |
NXOpen::Expression * | Height () |
Returns the height of the bead. | |
NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptions | HeightSide () |
Returns the Height side for the bead. | |
bool | IncludeRounding () |
Returns the rounding type . | |
NXOpen::Expression * | MinimumToolClearance () |
Returns the Minimum tool clearance expression. | |
NXOpen::Expression * | PunchedWidth () |
Returns the Punched width of the bead. | |
NXOpen::Expression * | PunchRadius () |
Returns the bead punch radius. | |
NXOpen::Expression * | Radius () |
Returns the radius of the bead. | |
NXOpen::Section * | Section () |
Returns the Section used by the bead. | |
void | SetAngle (const NXString &beadAngle) |
Created in NX4.0.0. | |
void | SetAngle (const char *beadAngle) |
Created in NX4.0.0. | |
void | SetCrossSectionType (NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptions crossSectionOption) |
Sets the bead profile type . | |
void | SetDieRadius (const NXString &beadDieRadius) |
Created in NX4.0.0. | |
void | SetDieRadius (const char *beadDieRadius) |
Created in NX4.0.0. | |
void | SetEndType (NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptions beadEndOptions) |
Sets the bead end type . | |
void | SetHeight (const NXString &beadHeight) |
Created in NX4.0.0. | |
void | SetHeight (const char *beadHeight) |
Created in NX4.0.0. | |
void | SetHeightSide (NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptions heightSide) |
Sets the Height side for the bead. | |
void | SetIncludeRounding (bool rounding) |
Sets the rounding type . | |
void | SetPunchedWidth (const NXString &punchedWidth) |
Created in NX4.0.0. | |
void | SetPunchedWidth (const char *punchedWidth) |
Created in NX4.0.0. | |
void | SetPunchRadius (const NXString &punchRadius) |
Created in NX4.0.0. | |
void | SetPunchRadius (const char *punchRadius) |
Created in NX4.0.0. | |
void | SetRadius (const NXString &beadRadius) |
Created in NX4.0.0. | |
void | SetRadius (const char *beadRadius) |
Created in NX4.0.0. | |
void | SetSection (NXOpen::Section *section) |
Sets the Section used by the bead. | |
void | SetSketch (NXOpen::Features::SketchFeature *sketch) |
Sets the Slave Sketch used by the Bead, If one exists. | |
void | SetWidth (const NXString &beadWidth) |
Created in NX4.0.0. | |
void | SetWidth (const char *beadWidth) |
Created in NX4.0.0. | |
NXOpen::Features::SketchFeature * | Sketch () |
Returns the Slave Sketch used by the Bead, If one exists. | |
NXOpen::Expression * | TaperDistance () |
Returns the taper distance of the bead. | |
int | ValidateBuilderData () |
Verify whether the builder data is valid for creating a Bead or not. | |
NXOpen::Expression * | Width () |
Returns the width of the bead. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Bead feature builder.
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateBeadFeatureBuilder
Created in NX4.0.0.
This enum represents the cross section type options for the Bead.
This enum represents the end type options for the Bead.
NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::Angle | ( | ) |
Returns the angle of the bead.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptions NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionType | ( | ) |
Returns the bead profile type .
<br> Specify @link Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsCircular Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsCircular@endlink to have profile of half circle. Specify @link Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsUshaped Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsUshaped@endlink to have profile of U shape. Specify @link Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsVshaped Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsVshaped@endlink to have profile of V shape. <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::DieRadius | ( | ) |
Returns the bead die radius.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptions NXOpen::Features::SheetMetal::BeadBuilder::EndType | ( | ) |
Returns the bead end type .
<br> Specify @link Features::SheetMetal::BeadBuilder::EndTypeOptionsFormed Features::SheetMetal::BeadBuilder::EndTypeOptionsFormed @endlink to have ends of bead feature be formed. Specify @link Features::SheetMetal::BeadBuilder::EndTypeOptionsLanced Features::SheetMetal::BeadBuilder::EndTypeOptionsLanced @endlink to have ends of bead feature be Lanced. Specify @link Features::SheetMetal::BeadBuilder::EndTypeOptionsPunched Features::SheetMetal::BeadBuilder::EndTypeOptionsPunched@endlink to have ends of bead feature be Punched. Specify @link Features::SheetMetal::BeadBuilder::EndTypeOptionsTapered Features::SheetMetal::BeadBuilder::EndTypeOptionsTapered@endlink to have ends of bead feature be Tapered. <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::Height | ( | ) |
Returns the height of the bead.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptions NXOpen::Features::SheetMetal::BeadBuilder::HeightSide | ( | ) |
Returns the Height side for the bead.
<br> This is used to specify the direction in which the Bead is created. If Bead creation must happen in the direction of the Section Normal (specified using the @link Features::SheetMetal::BeadBuilder::Section Features::SheetMetal::BeadBuilder::Section @endlink and @link Features::SheetMetal::BeadBuilder::SetSection Features::SheetMetal::BeadBuilder::SetSection @endlink ) then pass the value of @link Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionNormalSide Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionNormalSide@endlink If Bead creation must happen in the opposite direction to that of Section Normal, set the value to be @link Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionReverseNormalSide Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionReverseNormalSide@endlink <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
bool NXOpen::Features::SheetMetal::BeadBuilder::IncludeRounding | ( | ) |
Returns the rounding type .
<br> Specify true to Round the Sharp edges. Specify false to avoid rounding. <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::MinimumToolClearance | ( | ) |
Returns the Minimum tool clearance expression.
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::PunchedWidth | ( | ) |
Returns the Punched width of the bead.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::PunchRadius | ( | ) |
Returns the bead punch radius.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::Radius | ( | ) |
Returns the radius of the bead.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Section* NXOpen::Features::SheetMetal::BeadBuilder::Section | ( | ) |
Returns the Section used by the bead.
section should be open.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
void NXOpen::Features::SheetMetal::BeadBuilder::SetAngle | ( | const NXString & | beadAngle | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadAngle | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetAngle | ( | const char * | beadAngle | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadAngle | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetCrossSectionType | ( | NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptions | crossSectionOption | ) |
Sets the bead profile type .
<br> Specify @link Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsCircular Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsCircular@endlink to have profile of half circle. Specify @link Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsUshaped Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsUshaped@endlink to have profile of U shape. Specify @link Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsVshaped Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsVshaped@endlink to have profile of V shape. <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
crossSectionOption | cross section option |
void NXOpen::Features::SheetMetal::BeadBuilder::SetDieRadius | ( | const NXString & | beadDieRadius | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadDieRadius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetDieRadius | ( | const char * | beadDieRadius | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadDieRadius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetEndType | ( | NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptions | beadEndOptions | ) |
Sets the bead end type .
<br> Specify @link Features::SheetMetal::BeadBuilder::EndTypeOptionsFormed Features::SheetMetal::BeadBuilder::EndTypeOptionsFormed @endlink to have ends of bead feature be formed. Specify @link Features::SheetMetal::BeadBuilder::EndTypeOptionsLanced Features::SheetMetal::BeadBuilder::EndTypeOptionsLanced @endlink to have ends of bead feature be Lanced. Specify @link Features::SheetMetal::BeadBuilder::EndTypeOptionsPunched Features::SheetMetal::BeadBuilder::EndTypeOptionsPunched@endlink to have ends of bead feature be Punched. Specify @link Features::SheetMetal::BeadBuilder::EndTypeOptionsTapered Features::SheetMetal::BeadBuilder::EndTypeOptionsTapered@endlink to have ends of bead feature be Tapered. <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadEndOptions | bead end options |
void NXOpen::Features::SheetMetal::BeadBuilder::SetHeight | ( | const NXString & | beadHeight | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadHeight | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetHeight | ( | const char * | beadHeight | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadHeight | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetHeightSide | ( | NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptions | heightSide | ) |
Sets the Height side for the bead.
<br> This is used to specify the direction in which the Bead is created. If Bead creation must happen in the direction of the Section Normal (specified using the @link Features::SheetMetal::BeadBuilder::Section Features::SheetMetal::BeadBuilder::Section @endlink and @link Features::SheetMetal::BeadBuilder::SetSection Features::SheetMetal::BeadBuilder::SetSection @endlink ) then pass the value of @link Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionNormalSide Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionNormalSide@endlink If Bead creation must happen in the opposite direction to that of Section Normal, set the value to be @link Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionReverseNormalSide Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionReverseNormalSide@endlink <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
heightSide | height side |
void NXOpen::Features::SheetMetal::BeadBuilder::SetIncludeRounding | ( | bool | rounding | ) |
Sets the rounding type .
<br> Specify true to Round the Sharp edges. Specify false to avoid rounding. <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
rounding | rounding |
void NXOpen::Features::SheetMetal::BeadBuilder::SetPunchedWidth | ( | const NXString & | punchedWidth | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
punchedWidth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetPunchedWidth | ( | const char * | punchedWidth | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
punchedWidth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetPunchRadius | ( | const NXString & | punchRadius | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
punchRadius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetPunchRadius | ( | const char * | punchRadius | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
punchRadius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetRadius | ( | const NXString & | beadRadius | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadRadius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetRadius | ( | const char * | beadRadius | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadRadius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetSection | ( | NXOpen::Section * | section | ) |
Sets the Section used by the bead.
section should be open.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
section | section |
void NXOpen::Features::SheetMetal::BeadBuilder::SetSketch | ( | NXOpen::Features::SketchFeature * | sketch | ) |
Sets the Slave Sketch used by the Bead, If one exists.
<br> If the Sketch is created internally as part of the Bead command in the UI, then it shall be consumed by the Bead and shall not show up as a seperate feature in the Part Navigator. If such a behaviour is deired, then specify the Sketch here. <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
sketch | sketch |
void NXOpen::Features::SheetMetal::BeadBuilder::SetWidth | ( | const NXString & | beadWidth | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadWidth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BeadBuilder::SetWidth | ( | const char * | beadWidth | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
beadWidth | NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::BeadBuilder::Sketch | ( | ) |
Returns the Slave Sketch used by the Bead, If one exists.
<br> If the Sketch is created internally as part of the Bead command in the UI, then it shall be consumed by the Bead and shall not show up as a seperate feature in the Part Navigator. If such a behaviour is deired, then specify the Sketch here. <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::TaperDistance | ( | ) |
Returns the taper distance of the bead.
Created in NX8.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
int NXOpen::Features::SheetMetal::BeadBuilder::ValidateBuilderData | ( | ) |
Verify whether the builder data is valid for creating a Bead or not.
<br> If the Builder data is valid, returned value shall be 0 <br> @return Data Validity Flag.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::Width | ( | ) |
Returns the width of the bead.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")